Bug 28311 - проблемы с поиском значков вне /usr/share/pixmaps
: проблемы с поиском значков вне /usr/share/pixmaps
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/e17)
: unstable
: all Linux
: P3 minor
Assigned To:
:
: http://www.altlinux.org/Icon_Paths_Po...
:
:
:
  Show dependency tree
 
Reported: 2013-01-06 03:05 by
Modified: 2013-01-18 22:30 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-01-06 03:05:35
Собрав
http://ftp.linux.kiev.ua/pub/Linux/ALT/people/mike/iso/mkimage-profiles/half-/20130103/regular-e17-20130103-x86_64.iso
и потихоньку применяя в народном хозяйстве, заметил, что в менюшках и IBar
недостаёт пиктограмм, но не везде.

Последующие раскопки по мотивам того, что для некоторых приложений они всё-таки
показываются, привели к наблюдению, что если соответствующая desktop-файлу
картинка есть в /usr/share/pixmaps/ -- то она отображается, а вот из из
/usr/share/icons/hicolor/*/apps/ их не подбирают, а надо бы
(http://www.altlinux.org/Icon_Paths_Policy).
------- Comment #1 From 2013-01-08 04:25:13 -------
Лечится установкой gnome-icon-theme.
------- Comment #2 From 2013-01-08 04:50:39 -------
Да, фактически даже WORKSFORME.
------- Comment #3 From 2013-01-18 17:42:56 -------
e17-1:0.17.0-alt5 -> sisyphus:

* Fri Jan 18 2013 Yuri N. Sedunov <aris@altlinux> 1:0.17.0-alt5
- required evas_generic_loaders (especially for .svg)
- required gnome-icon-theme for menus (ALT #28311)
- required terminology as a default terminal
- fixed path to gnome-settings-daemon
- prepared pam-config for screenlock
- prepared (not applied) e17-0.17.0-alt-e_sys_nosuid.patch
- prepared (not applied) a draft of custom sysactions.conf
------- Comment #4 From 2013-01-18 22:30:42 -------
Спасибо!